#!/bin/sh
export PATH='/usr/lib/llvm15/bin/:/usr/lib/ccache/bin:/usr/bin'
printf '%s' 'name:                 async
version:              2.2.5
visibility:           public
id:                   async-2.2.5-FErQczqPhVNJFThGiXYNBH
key:                  async-2.2.5-FErQczqPhVNJFThGiXYNBH
license:              BSD-3-Clause
copyright:            (c) Simon Marlow 2012
maintainer:           Simon Marlow <marlowsd@gmail.com>
author:               Simon Marlow
homepage:             https://github.com/simonmar/async
synopsis:             Run IO operations asynchronously and wait for their results
description:
    This package provides a higher-level interface over
    threads, in which an @Async a@ is a concurrent
    thread that will eventually deliver a value of
    type @a@.  The package provides ways to create
    @Async@ computations, wait for their results, and
    cancel them.

    Using @Async@ is safer than using threads in two
    ways:

    * When waiting for a thread to return a result,
    if the thread dies with an exception then the
    caller must either re-throw the exception
    ('\''wait'\'') or handle it ('\''waitCatch'\''); the
    exception cannot be ignored.

    * The API makes it possible to build a tree of
    threads that are automatically killed when
    their parent dies (see '\''withAsync'\'').

category:             Concurrency
abi:                  975ea31f80a5022b1a4014e24e93baaa
exposed:              True
exposed-modules:
    Control.Concurrent.Async Control.Concurrent.Async.Internal

import-dirs:          /usr/lib/ghc-9.8.2/site-local/async-2.2.5
library-dirs:         /usr/lib/ghc-9.8.2/site-local/async-2.2.5
library-dirs-static:  /usr/lib/ghc-9.8.2/site-local/async-2.2.5
dynamic-library-dirs: /usr/lib/x86_64-linux-ghc-9.8.2
data-dir:             /usr/share/x86_64-linux-ghc-9.8.2/async-2.2.5
hs-libraries:         HSasync-2.2.5-FErQczqPhVNJFThGiXYNBH
depends:
    base-4.19.1.0-inplace hashable-1.4.4.0-4FjbwRHK8slL7OrZ7pqlVV
    stm-2.5.2.1-inplace

haddock-interfaces:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/async-2.2.5/html/async.haddock

haddock-html:         /usr/share/doc/x86_64-linux-ghc-9.8.2/async-2.2.5/html
' | '/usr/bin/ghc-pkg-9.8.2' 'update' '-' '--global' '--no-user-package-db' "$@"

